------------------------------------------------------------------------------------
--Name:  	ChildrenDay1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-26
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(322, 634)
CppScriptMgr:SetViewScale(200)
local Player_2 = CppScriptMgr:AddSimplePlayer(7267, 499, 404, "DaleDean", 0, 0)
Player_2:SetDir(7)
Player_2:SetZoomPercent(150)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061747, 496, 406, "Maisie", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(150)
Player_1:SetHair(10, 1)
Player_1:SetArmor(199825, 0, 1)
local Player_3 = CppScriptMgr:AddPlayer(849, 333, 645, "", 0, 0)
Player_3:SetDir(7)
local Player_4 = CppScriptMgr:AddPlayer(132, 335, 639, "", 0, 0)
Player_4:SetDir(7)
local Player_5 = CppScriptMgr:AddPlayer(279, 320, 642, "", 0, 0)
Player_5:SetDir(7)
local Player_6 = CppScriptMgr:AddPlayer(281, 317, 632, "", 0, 0)
Player_6:SetDir(7)
local Player_7 = CppScriptMgr:AddPlayer(400, 320, 623, "", 0, 0)
Player_7:SetDir(7)
local Player_8 = CppScriptMgr:AddPlayer(404, 327, 644, "", 0, 0)
Player_8:SetDir(7)
local effect_5 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 326, 628, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 321, 627, 33, 1, 1, 1)
local effect_10 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 318, 642, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_1 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 316, 630, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 321, 627, 33, 1, 1, 1)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 316, 630, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 321, 627, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 326, 628, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 329, 632, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 325, 640, 33, 1, 1, 1)
local effect_7 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 318, 642, 33, 1, 1, 1)
local effect_8 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 333, 647, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(90)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(600)
local effect_2 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 326, 628, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(380)
local effect_0 = CppScriptMgr:AddEffect("CartoonDisplay", 322, 634, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
local effect_4 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 325, 640, 33, 1, 1, 1)
local effect_9 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 333, 647, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(910)
Player_3:JumpTo(314, 653)
Player_4:JumpTo(314, 653)
Player_5:JumpTo(346, 655)
Player_6:JumpTo(317, 652)
Player_7:JumpTo(338, 621)
Player_8:JumpTo(338, 621)
CppScriptMgr:WaitMilSec(130)
local effect_11 = CppScriptMgr:AddEffect("CartoonDisplay", 496, 406, 33, 1, 1, 1)
effect_11:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(2130)
CppScriptMgr:SetViewPosByCell(499, 404)
CppScriptMgr:WaitMilSec(700)
CppScriptMgr:NpcCallOut("Those critters were enchanted by an evil power. I`m afraid Wild Yonder will become unstable.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "DaleDean", 250, 655, false)
CppScriptMgr:WaitMilSec(260)
Player_1:SetDir(5)
Player_1:SetAction(200)
CppScriptMgr:WaitMilSec(1370)
CppScriptMgr:NpcCallOut("What should we do then?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcTaoistGirl", 150, 430, "Maisie", 250, 655, false)
CppScriptMgr:WaitMilSec(1890)
CppScriptMgr:NpcCallOut("Catch those critters!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "DaleDean", 250, 655, false)
CppScriptMgr:WaitMilSec(2310)